Bug 439428 - 'updated libraries' test needs better verbiage
'updated libraries' test needs better verbiage
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sectool (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 13:39 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.8.0-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 23:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-03-28 13:39:32 EDT
Description of problem:

Lots of warnings of the form:
        Warning(01)   Process init (pid: 1) is using shared object
/lib64/ld-2.7.90.so
 that was probably updated!

This should probably be more clearly stated that in many cases, this is
*normal*, if you've updated recently.

Version-Release number of selected component (if applicable):

sectool-0.6.0-1.noarch
Comment 1 Daniel Kopeček 2008-04-07 05:49:28 EDT
I think that "was probably updated" is enough or what do you mean with more
clearly? If we say in this messages that this is in most cases "normal" then
users will ignore this messages - this whole test :] If you have updated ld.so
then it is better to reboot the system, if you have updated libs that are used
by apache for example, then you should restart apache...
Comment 2 Bill Nottingham 2008-04-07 12:05:21 EDT
Possibly a description of how/why you'd see this.

If you want to really dig deep, it's possible to see if/when it was updated by
trawling the rpm database or yum log. Would be messy code, though.
Comment 3 Bug Zapper 2008-05-14 04:22:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Peter Vrabec 2008-07-03 06:30:53 EDT
Description field was improved for this purpose.

$ sudo sectool --info removedlibs
Name         : removedlibs
Script name  : removedlibs.sh
Groups       : filesystem
Levels       : 3 4 5
Description  : Checks if libraries mapped into memory are the same as the
libraries on the disk.
To get rid of this warnings simply restart these processes (their names and PIDs
are in messages printed out by this test). Use the command service(8) to restart
processes that belong to a running system service.
Comment 5 Fedora Update System 2008-07-03 06:33:06 EDT
sectool-0.8.0-1.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-07-03 23:39:41 EDT
sectool-0.8.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.